#
# Makefile  -  makefile for NDIS interface
#
# Copyright (C) 1998-2007 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.11 2007/01/06 18:30:49 gkminix Exp $
#


# Directory name of this module
MODNAME = bootrom/netdrvr
MODDEFS = _NDIS2_


# Include makefile configuration
include ../../../make.config
include ../../../make.rules


# Subdirectories
SUBDIRS   = drivers


# Source files for the target system
CSRCS86   = 
SSRCS86   = ndisinit.S86 protman.S86 ndis.S86
TARGETLIB = ../obj/libndis2.a


# Rules to generate the target system files
all:		all-recursive $(TARGETLIB)($(OBJS86))


# Generate files for distribution
distrib:	distrib-recursive


# Install
install:	install-recursive


# Clean up
clean:		clean-general clean-recursive

distclean:	clean-general distclean-recursive

realclean:	clean-general realclean-recursive

